## org.eclipse.emf.ecore.xmi
Interface XMLDefaultHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

All Known Implementing Classes:
  EMOFHandler, GenericXMLResourceImpl.GenericSAXXMLHandler, SAXWrapper, SAXXMIHandler, SAXXMLHandler, XMIHandler, XMLHandler

    public interface XMLDefaultHandler

extends org.xml.sax.ContentHandler, org.xml.sax.EntityResolver, org.xml.sax.DTDHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

The XML handler interface.

Method Summary
`void` `prepare(XMLResource resource, XMLHelper helper, java.util.Map<?,?> options)`
`void` `reset()`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.EntityResolver
`resolveEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Method Detail

### reset

    void reset()

### prepare

    void prepare(XMLResource resource,
                 XMLHelper helper,
                 java.util.Map<?,?> options)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.